<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * PagosRapidosAlumnos
 *
 * @ORM\Table(name="pagos_rapidos_alumnos", indexes={@ORM\Index(name="cve_pag_rap", columns={"cve_pag_rap"}), @ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class PagosRapidosAlumnos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pag_rap_alu", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePagRapAlu;

    /**
     * @var string
     *
     * @ORM\Column(name="mon_pag", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monPag = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="des_pag", type="string", length=500, nullable=true)
     */
    private $desPag = 'NULL';

    /**
     * @var \PagosRapidos
     *
     * @ORM\ManyToOne(targetEntity="PagosRapidos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pag_rap", referencedColumnName="ide_pag_rap")
     * })
     */
    private $cvePagRap;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get idePagRapAlu
     *
     * @return integer
     */
    public function getIdePagRapAlu()
    {
        return $this->idePagRapAlu;
    }

    /**
     * Set monPag
     *
     * @param string $monPag
     *
     * @return PagosRapidosAlumnos
     */
    public function setMonPag($monPag)
    {
        $this->monPag = $monPag;
    
        return $this;
    }

    /**
     * Get monPag
     *
     * @return string
     */
    public function getMonPag()
    {
        return $this->monPag;
    }

    /**
     * Set desPag
     *
     * @param string $desPag
     *
     * @return PagosRapidosAlumnos
     */
    public function setDesPag($desPag)
    {
        $this->desPag = $desPag;
    
        return $this;
    }

    /**
     * Get desPag
     *
     * @return string
     */
    public function getDesPag()
    {
        return $this->desPag;
    }

    /**
     * Set cvePagRap
     *
     * @param \CmBundle\Entity\PagosRapidos $cvePagRap
     *
     * @return PagosRapidosAlumnos
     */
    public function setCvePagRap(\CmBundle\Entity\PagosRapidos $cvePagRap = null)
    {
        $this->cvePagRap = $cvePagRap;
    
        return $this;
    }

    /**
     * Get cvePagRap
     *
     * @return \CmBundle\Entity\PagosRapidos
     */
    public function getCvePagRap()
    {
        return $this->cvePagRap;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return PagosRapidosAlumnos
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
